Qwt User's Guide 6.1.4

Public Member Functions | List of all members
QwtCPointerData Class Reference

Data class containing two pointers to memory blocks of doubles. More...

`#include <qwt_point_data.h>`

Inheritance diagram for QwtCPointerData:
[legend]

## Public Member Functions
| QwtCPointerData (const double *x, const double *y, size_t size)
virtual QRectF | boundingRect () const
| Calculate the bounding rectangle. More...
virtual size_t | size () const
virtual QPointF | sample (size_t index) const
const double * | xData () const
const double * | yData () const
Public Member Functions inherited from QwtSeriesData< QPointF >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtSeriesData< QPointF >
QRectF | d_boundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

Data class containing two pointers to memory blocks of doubles.

## Constructor & Destructor Documentation

## ◆ QwtCPointerData()

QwtCPointerData::QwtCPointerData | ( | const double * | x,
|  | const double * | y,
|  | size_t | size
| ) |  |

Constructor

Parameters

  x | Array of x values
  y | Array of y values
  size | Size of the x and y arrays

Warning
  The programmer must assure that the memory blocks referenced by the pointers remain valid during the lifetime of the QwtPlotCPointer object.

See also
  QwtPlotCurve::setData(), QwtPlotCurve::setRawSamples()

## Member Function Documentation

## ◆ boundingRect()

QRectF QwtCPointerData::boundingRect | ( |  | ) | const
| virtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< QPointF >.

## ◆ sample()

QPointF QwtCPointerData::sample | ( | size_t | index | ) | const
| virtual

Return the sample at position i

Parameters

  index | Index

Returns
  Sample at position i

Implements QwtSeriesData< QPointF >.

## ◆ size()

size_t QwtCPointerData::size | ( |  | ) | const
| virtual

Returns
  Size of the data set

Implements QwtSeriesData< QPointF >.

## ◆ xData()

const double * QwtCPointerData::xData | ( |  | ) | const

Returns
  Array of the x-values

## ◆ yData()

const double * QwtCPointerData::yData | ( |  | ) | const

Returns
  Array of the y-values